# German

@Serializable(with = IetfLanguageCodeSerializer::class )
sealed class German : IetfLanguageCode (source)

#### Inheritors

AT
BE
CH
DE
IT
LI
LU
Companion

## Types

AT
Link copied to clipboard
@Serializable(with = IetfLanguageCodeSerializer::class )
object AT : IetfLanguageCode.German
BE
Link copied to clipboard
@Serializable(with = IetfLanguageCodeSerializer::class )
object BE : IetfLanguageCode.German
CH
Link copied to clipboard
@Serializable(with = IetfLanguageCodeSerializer::class )
object CH : IetfLanguageCode.German
Companion
Link copied to clipboard
@Serializable(with = IetfLanguageCodeSerializer::class )
object Companion : IetfLanguageCode.German
DE
Link copied to clipboard
@Serializable(with = IetfLanguageCodeSerializer::class )
object DE : IetfLanguageCode.German
IT
Link copied to clipboard
@Serializable(with = IetfLanguageCodeSerializer::class )
object IT : IetfLanguageCode.German
LI
Link copied to clipboard
@Serializable(with = IetfLanguageCodeSerializer::class )
object LI : IetfLanguageCode.German
LU
Link copied to clipboard
@Serializable(with = IetfLanguageCodeSerializer::class )
object LU : IetfLanguageCode.German

## Properties

code
Link copied to clipboard
open override val code : String
withoutDialect
Link copied to clipboard
open override val withoutDialect : String

## Functions

toJavaLocale
Link copied to clipboard
fun IetfLanguageCode . toJavaLocale (): Locale
toJavaLocaleOrDefault
Link copied to clipboard
fun IetfLanguageCode ?. toJavaLocaleOrDefault (): Locale
toString
Link copied to clipboard
open override fun toString (): String